LibreOffice: Backend Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
Backend Service Referencepublished

provides access to a configuration database composed of one or more storage backends containing settings used by software modules. More...

`import"Backend.idl";`

Inheritance diagram for Backend:

## Exported Interfaces
interface | XSchemaSupplier
| provides access to configuration schemas. More...
interface | XBackend
| provides access to the layer data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...

## Additional Inherited Members
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XBackend
sequence< XLayer > | listOwnLayers ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to the owner entity for a component. More...
XUpdateHandler | getOwnUpdateHandler ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler for the owner entity layer for a component. More...
sequence< XLayer > | listLayers ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to an entity for a component. More...
XUpdateHandler | getUpdateHandler ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler on an entity's layer for a component. More...
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...

## Detailed Description

provides access to a configuration database composed of one or more storage backends containing settings used by software modules.

Configuration data is organized into layers which are selected by components and entities.

Components are characterized by configuration schemas. A component contains configuration data for a particular application domain or software module.

Entities are organized hierarchically in organizations, groups, roles and individual users. Each element of the associated hierarchy corresponds to a layer that applies to an entity.

A layer contains data for multiple components associated to a single entity.

Since
  OOo 1.1.2

## Exported Interfaces

interface XBackend

provides access to the layer data.

interface XBackendEntities
| optional

provides information about supported and special entities.

interface XSchemaSupplier

provides access to configuration schemas.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/Backend.idl